Package tigase.xmpp.impl.push

## Class GroupchatPushNotificationsExtension

- java.lang.Object
- - tigase.xmpp.impl.push.GroupchatPushNotificationsExtension

- All Implemented Interfaces:
    `PushNotificationsAware`, `PushNotificationsExtension`

      @Bean(name="groupchat",
            parent=PushNotifications.class,
            active=true)
      public class GroupchatPushNotificationsExtension
      extends java.lang.Object
      implements PushNotificationsExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MessageDeliveryProviderIfc` | `message` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupchatPushNotificationsExtension()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `shouldSendNotification​(Packet packet, BareJID userJid, XMPPResourceConnection session)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsAware

      `getDiscoFeatures, processEnableElement`

    - ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsExtension

      `prepareNotificationPayload, setPushNotifications`

- - ### Field Detail

    - #### message

          @Inject
          protected MessageDeliveryProviderIfc message

  - ### Constructor Detail

    - #### GroupchatPushNotificationsExtension

          public GroupchatPushNotificationsExtension()

  - ### Method Detail

    - #### shouldSendNotification

          public boolean shouldSendNotification​(Packet packet,
                                                BareJID userJid,
                                                XMPPResourceConnection session)
                                         throws XMPPException

      Specified by:
        `shouldSendNotification` in interface `PushNotificationsExtension`
      Throws:
        `XMPPException`